Subject: Re: [OPSAWG] opsawg consensus on draft-andersson-mpls-tp-oam-def

From: "tom.petch" <[email-masked]>
Date: Tue, 1 Sep 2009 18:23:29 +0200

----- Original Message -----
From: "Tina TSOU" <[email-masked]>
To: <[email-masked]>; "Scott O. Bradner" <[email-masked]>
Sent: Saturday, August 29, 2009 9:48 AM

> Hi Scott et al,
>
> It's OK for me.
>
> This draft is to clarify the meaning of each letter in the abbreviation of
"OAM" since there are different explanations. In MPLS-TP it is agreed that OAM
stands for Operation, Administration and Maintenance.
>
> Two concerns are following.
>
> 1) I'm wondering whether the definition of OAM in OPS area equals the above.
If so, which definition takes priority? If not, hope this can be used as a
reference to unify the usage of this term.

Tina

I see two distinct concepts, an ITU-T based one and an IETF one.  Sadly, both
use the acronym OAM, albeit with different expansions.

I see the former used in the mpls, mpl-tp, ccamp, pce, pwe work, the latter in
the
rest of the IETF (at least those parts I am familiar with).

So for me, unless and until the concepts are unified (which I do not see as
likely), then the usage of the term OAM can (and should) not be unified.

Tom Petch

> 2) If this draft is to be adopted as an OPS WG draft, should we extend the
scope, i.e. not limited to MPLS-TP only?
>
> B. R.
> Tina
> http://tinatsou.weebly.com/contact.html
>
>   ----- Original Message -----
>   From: Scott O. Bradner
>   To: [email-masked]
>   Sent: Thursday, August 27, 2009 10:47 PM
>   Subject: [OPSAWG] opsawg consensus on draft-andersson-mpls-tp-oam-def
>

---

From: Tina TSOU <[email-masked]>
Date: Wed, 02 Sep 2009 11:06:06 +0800

Hi Tom, 

I'm getting a little bit confused :-(

Are they (the SDOs and WGs you mentioned including OPS area) going to unify the concept? If not, what's the purpose of putting the draft in OPS area?

B. R.
Tina

  ----- Original Message ----- 
  From: tom.petch 
  To: Tina TSOU ; [email-masked] 
  Sent: Wednesday, September 02, 2009 12:23 AM
  Subject: Re: [OPSAWG] opsawg consensus on draft-andersson-mpls-tp-oam-def

  ----- Original Message -----
  From: "Tina TSOU" <[email-masked]>
  To: <[email-masked]>; "Scott O. Bradner" <[email-masked]>
  Sent: Saturday, August 29, 2009 9:48 AM

  Tina

  Tom Petch

---

From: Loa Andersson <[email-masked]>
Date: Wed, 02 Sep 2009 11:55:20 +0200

Tina,

I'm confused too. The history is that I wrote it explicitly based
on MPLS-TP experience. Since I thought it was relevant in a wider
scope I consulted the OPS ADs and they agreed.

We agreed to progress it through the OPSAWG because of this.

Admittedly the document is still very "MPLS-TP-ish" but if the
OPSAWG is interested to progress it, it will be cleaned up.

So yes the intention that it will have a IETF wide scope, and in
fact it has been used for that purpose by at least one AD in the
past month.

/Loa

Tina TSOU wrote:
> Hi Tom, 
> 
>  
> 
> I’m getting a little bit confused :-(
> 
>  
> 
> Are they (the SDOs and WGs you mentioned including OPS area) going to 
> unify the concept? If not, what's the purpose of putting the draft 
> in OPS area?
> 
>  
>  
> B. R.
> Tina
>     *From:* tom.petch <mailto:[email-masked]>
>     *To:* Tina TSOU <mailto:[email-masked]> ; [email-masked]
>     <mailto:[email-masked]>
>     *Sent:* Wednesday, September 02, 2009 12:23 AM
>     *Subject:* Re: [OPSAWG] opsawg consensus on
>     draft-andersson-mpls-tp-oam-def
> 
>     From: "Tina TSOU" <[email-masked] <mailto:[email-masked]>>
>     To: <[email-masked] <mailto:[email-masked]>>; "Scott O. Bradner"
>     <[email-masked] <mailto:[email-masked]>>
>      >   To: [email-masked] <mailto:[email-masked]>
> ------------------------------------------------------------------------
> 
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg

-- 

Loa Andersson                         email: [email-masked]
Sr Strategy and Standards Manager            [email-masked]
Ericsson Inc                          phone: +46 10 717 52 13
                                              +46 767 72 92 13

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 2 Sep 2009 12:10:39 +0200

It looks to me that we are anticipating the discussion that will need to
happen later. The question at this point in time is whether the document
is good enough to become an draft-ietf-opsawg- ... -00.txt document.
Does anybody think that this is not the case? 

The discussions later will need to establish whether there is consensus
for the recommended expansion and usage of the OAM acronym. Let us first
have the document submitted as a WG item. 

Dan

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Loa Andersson
> Sent: Wednesday, September 02, 2009 12:55 PM
> To: Tina TSOU
> Cc: [email-masked]
> I'm confused too. The history is that I wrote it explicitly 
> based on MPLS-TP experience. Since I thought it was relevant 
> in a wider scope I consulted the OPS ADs and they agreed.
> 
> Admittedly the document is still very "MPLS-TP-ish" but if 
> the OPSAWG is interested to progress it, it will be cleaned up.
> 
> So yes the intention that it will have a IETF wide scope, and 
> in fact it has been used for that purpose by at least one AD 
> in the past month.
> 
> /Loa
> 
> Tina TSOU wrote:
> > Hi Tom,
> > 
> >  
> > 
> > unify the concept? If not, what's the purpose of putting 
> the draft in 
> > OPS area?
> > 
> >  
> >  
> > B. R.
> > Tina
> >      > 1) I'm wondering whether the definition of OAM in 
> OPS area equals
> >     the above.
> >     I see two distinct concepts, an ITU-T based one and an 
> IETF one. 
> >     Sadly, both
> >     I see the former used in the mpls, mpl-tp, ccamp, pce, 
> pwe work, the
> >     latter in
> >     the
> >     So for me, unless and until the concepts are unified 
> (which I do not
> >     see as
> >      > 2) If this draft is to be adopted as an OPS WG 
> draft, should we
> >     extend the
>                                               +46 767 72 92 
> 13 _______________________________________________
> OPSAWG mailing list
> [email-masked]

---

From: "tom.petch" <[email-masked]>
Date: Wed, 2 Sep 2009 14:04:42 +0200

----- Original Message -----
From: "Tina TSOU" <[email-masked]>
Sent: Wednesday, September 02, 2009 5:06 AM

> Are they (the SDOs and WGs you mentioned including OPS area) going to unify
the concept? If not, what's the purpose of putting the draft in OPS area?

I do not think that the two concepts realistically can be unified; I think that
they are different for good reason and that what they have in common is too
remote, too abstract, to be of practical value here.

I do think that there is confusion in the IETF that this same three letter
abbreviation has two distinct meanings; I see the mpls/ccamp/pwe3 meaning
(and yes, there are variations within those Working Groups) as the
minority one in the IETF although perhaps the more widely known one elsewhere,
so an I-D such as Loa's could clarify this.

I did research the subject myself some time back and thought of writing an I-D
about it but never did (Will the Real OAM Please Stand Up?)

Tom Petch

---

From: "David Harrington" <[email-masked]>
Date: Wed, 2 Sep 2009 11:36:09 -0400

Hi,

Thank you Tom for your response. I think that does a pretty good job
of identifying that the IETF O&M and the ITU OAM are different, and
may not be able to be unified. I agree.

A few IETF's ago, Ron talked about the aplhabet soup that is OAM, O&M,
etc. I thought he proposed that a draft should be written that
described the concepts used by different SDOs, so we could understand
the differences. I do not think he proposed to unify them.

What I heard from Ron's talk as an operator was that different SDOs
considered different sets of problems, and sometimes their work
overlapped. In the real world world, there are lots of network-related
technologies that are converging. In many of those emerging trends,
the Internet is being converged with non-Internet technologies, such
as telephony, television, media distribution, etc. Many of these other
technologies have their own approaches to OAM already.

If the IETF OPS area work is going to remain relevant to operators,
then we should make sure we understand how OAM is currently approached
by other SDOs, and what is especially useful for operators. Given that
understanding, we might realize that it would be helpful to operators
if we modified some of our OPS-area solutions and design directions. 

IIRC, Ron gave an example that some other SDO's OAM allow operators to
test a proposed change to the network before the operator actually
applies it. While our current OPS protocols allow us to measure some
aspects of the change **after it is made**, and can report on network
faults caused by actually making the change, our protocols do not
permit operators to test the impact of a proposed change before making
the change. This is an aspect of other SDOs' OAM that we might want to
consider trying to emulate in some of our protocols.

My impression is that Loa's draft was supposed to simply educate the
participants in the OPS area, so we had a better understanding of the
MPLS-TP-specific OAM approach. There are still other SDOs that have
their own OAM philosophies, and we should also strive to understand
them, so we can make intelligent decisons about whether we want to try
to better harmonize the IETF OPS work with that of other SDOs.

I use the term "harmonize" rather than unify because there are people
from the OPS area that are already involved in multi-SDO harmonization
efforts for network management. The term harmonize reflects a belief
that the multiple SDOs will probably not be able to unify OAM, but
might be able to make some changes to their standards directions that
allow the different network management approaches (protocols,
languages, and data models) to work together better. 

I think Dan's email asks whether Loa's document is sufficiently clear
to educate OPS people about MPLS-TP OAM, and should be accepted as a
WG item **for purposes of educating**, not for unifying. Personally, I
think we need to be very clear that the document is purely
informational and does not in any way indicate that the IETF intends
to move toward that definition of OAM and away from the current IETF
definition of O&M. 

The issue of what we want to do with the knowledge in Loa's draft is
not on the table yet. Personally, I think we need more than just the
MPLS-TP OAM perspective before we can make a decision of what to do
with it. The IETF needs to consider a number of the competing
philosophies of OAM and needs to decide whether a change to the IETF
OAM philosophy is needed, and what such change should entail.

David Harrington
[email-masked]
[email-masked]
[email-masked]

> [mailto:[email-masked]] On Behalf Of tom.petch
> Sent: Wednesday, September 02, 2009 8:05 AM
> To: Tina TSOU; [email-masked]
> >   "OAM" since there are different explanations. In MPLS-TP 
> it is agreed that
> OAM
> >   > 1) I'm wondering whether the definition of OAM in OPS 
> area equals the
> above.
> IETF one.  Sadly,
> both
> pwe work, the latter
> in
> (which I do not see as

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 2 Sep 2009 18:37:04 +0200

Tom,

If you have already researched the issue - maybe you can join Loa and
try to add what you have researched to the draft he is right now trying
to put on the OPSAWG track? 

My understanding is that we are trying to do two different things here: 

1. Help the MPLS-TP community (as a subset of the MPLS/CCAMP/PWE3 group)
to reach consensus on one interpretation and usage of the OAM acronyms. 
2. Write some kind of taxonomy of the usage of the acronyms in the IETF.

If from #2 we can reach some kind of unification scheme - great. If not,
we have at least made a review and explained to ourselves what we have
at hand. But let us not declare defeat before starting the work. 

Dan

> Sent: Wednesday, September 02, 2009 3:05 PM
> > unify
> I do not think that the two concepts realistically can be 
> unified; I think that they are different for good reason and 
> that what they have in common is too remote, too abstract, to 
> be of practical value here.
> 
> I do think that there is confusion in the IETF that this same 
> three letter abbreviation has two distinct meanings; I see 
> the mpls/ccamp/pwe3 meaning (and yes, there are variations 
> within those Working Groups) as the minority one in the IETF 
> although perhaps the more widely known one elsewhere, so an 
> I-D such as Loa's could clarify this.
> 
> I did research the subject myself some time back and thought 
> of writing an I-D about it but never did (Will the Real OAM 
> Please Stand Up?)
> 
> Tom Petch
> 
> > B. R.
> > Tina
> >   "OAM" since there are different explanations. In MPLS-TP it is 
> > agreed that
> OAM
> area equals 
> >   I see two distinct concepts, an ITU-T based one and an IETF one.  
> > Sadly,
> both
> > latter

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 2 Sep 2009 18:42:41 +0200

See also my other mail. 

at hand.

I am not a great fan of 'harmonization' exercises. Sometimes however we
can do no better. In this case it is a terribly confusing situation to
have the same acronyms used for two (or more)  different things but
which are close enough to repeatedly create chaos. Loa's work can help
at least clarifying the meanings and differences to ourselves, and this
is what I think it's useful to do it. 

Dan

> [mailto:[email-masked]] On Behalf Of David Harrington
> Sent: Wednesday, September 02, 2009 6:36 PM
> To: 'tom.petch'; 'Tina TSOU'; [email-masked]
> Thank you Tom for your response. I think that does a pretty 
> good job of identifying that the IETF O&M and the ITU OAM are 
> different, and may not be able to be unified. I agree.
> 
> A few IETF's ago, Ron talked about the aplhabet soup that is 
> OAM, O&M, etc. I thought he proposed that a draft should be 
> written that described the concepts used by different SDOs, 
> so we could understand the differences. I do not think he 
> proposed to unify them.
> 
> What I heard from Ron's talk as an operator was that 
> different SDOs considered different sets of problems, and 
> sometimes their work overlapped. In the real world world, 
> there are lots of network-related technologies that are 
> converging. In many of those emerging trends, the Internet is 
> being converged with non-Internet technologies, such as 
> telephony, television, media distribution, etc. Many of these 
> other technologies have their own approaches to OAM already.
> 
> If the IETF OPS area work is going to remain relevant to 
> operators, then we should make sure we understand how OAM is 
> currently approached by other SDOs, and what is especially 
> useful for operators. Given that understanding, we might 
> realize that it would be helpful to operators if we modified 
> some of our OPS-area solutions and design directions. 
> 
> IIRC, Ron gave an example that some other SDO's OAM allow 
> operators to test a proposed change to the network before the 
> operator actually applies it. While our current OPS protocols 
> allow us to measure some aspects of the change **after it is 
> made**, and can report on network faults caused by actually 
> making the change, our protocols do not permit operators to 
> test the impact of a proposed change before making the 
> change. This is an aspect of other SDOs' OAM that we might 
> want to consider trying to emulate in some of our protocols.
> 
> My impression is that Loa's draft was supposed to simply 
> educate the participants in the OPS area, so we had a better 
> understanding of the MPLS-TP-specific OAM approach. There are 
> still other SDOs that have their own OAM philosophies, and we 
> should also strive to understand them, so we can make 
> intelligent decisons about whether we want to try to better 
> harmonize the IETF OPS work with that of other SDOs.
> 
> I use the term "harmonize" rather than unify because there 
> are people from the OPS area that are already involved in 
> multi-SDO harmonization efforts for network management. The 
> term harmonize reflects a belief that the multiple SDOs will 
> probably not be able to unify OAM, but might be able to make 
> some changes to their standards directions that allow the 
> different network management approaches (protocols, 
> I think Dan's email asks whether Loa's document is 
> sufficiently clear to educate OPS people about MPLS-TP OAM, 
> and should be accepted as a WG item **for purposes of 
> educating**, not for unifying. Personally, I think we need to 
> be very clear that the document is purely informational and 
> does not in any way indicate that the IETF intends to move 
> toward that definition of OAM and away from the current IETF 
> definition of O&M. 
> 
> The issue of what we want to do with the knowledge in Loa's 
> draft is not on the table yet. Personally, I think we need 
> more than just the MPLS-TP OAM perspective before we can make 
> a decision of what to do with it. The IETF needs to consider 
> a number of the competing philosophies of OAM and needs to 
> decide whether a change to the IETF OAM philosophy is needed, 
> and what such change should entail.
> 
> David Harrington
> [email-masked]
> [email-masked]
> [email-masked]
> 
> 
> unified; I 
> > think that they are different for good reason and that what 
> they have 
> > in common is too remote, too abstract, to be of practical 
> value here.
> > 
> > I do think that there is confusion in the IETF that this same three 
> > letter abbreviation has two distinct meanings; I see the
> > mpls/ccamp/pwe3 meaning
> > minority one in the IETF although perhaps the more widely known one 
> > elsewhere, so an I-D such as Loa's could clarify this.
> > 
> > I did research the subject myself some time back and thought of 
> > writing an I-D about it but never did (Will the Real OAM 
> Please Stand 
> > Up?)
> > 
> > Tom Petch
> > 
> > > B. R.
> > > Tina